
# Copyright (C) Johan Ceuppens 2010
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


import pygame
from pygame.locals import *
from gameobject import *
from stateimagelibrary import *
import random

class Bullet2(Gameobject):
    "Bullet2"
    def __init__(self,xx,yy, direction):
	Gameobject.__init__(self, xx, yy)
        self.w = 8 
        self.h = 8 
	self.stimlib = Stateimagelibrary()	
        image = pygame.image.load('./pics/bullet2-8x8.png').convert()
        image.set_colorkey((255,255,255)) 
	self.stimlib.addpicture(image)
	
	self.direction = direction 

    def draw(self, screen, room):
        self.stimlib.draw(screen, self.x+room.relativex,self.y+room.relativey)
	     
    def update(self,room):
	if (self.direction == "left"):
	        self.x -=1 
	elif (self.direction == "right"):
	        self.x +=1
	elif (self.direction == "up"):
	        self.y +=1
	elif (self.direction == "down"):
	        self.y -=1
		 

