
# Copyright (C) Johan Ceuppens 2010
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


import pygame
from pygame.locals import *
from stateimagelibrary import *
from tavernbuilding import *
from dungeonstatue import *
from archerpurple import *
from pegasuswhite import *

class Player:
    "Player"
    def __init__(self):
        self.x =150 
        self.y =150 
        self.w = 48 
        self.h = 48
	self.gameobjects = []

    def draw(self, screen, room):
	for e in self.gameobjects:
        	e.draw(screen, room)

    def initlevel1(self,room):	    
	###self.gameobjects.append(DungeonStatue1(100-room.relativex,100-room.relativey))
	###self.gameobjects.append(DungeonStatue1(200-room.relativex,100-room.relativey))
	###self.gameobjects.append(DungeonStatue1(300-room.relativex,100-room.relativey))
	###self.gameobjects.append(DungeonStatue1(400-room.relativex,100-room.relativey))
	self.gameobjects.append(Tavern(400-room.relativex,100-room.relativey,100))
	self.gameobjects.append(ArcherPurple(100-room.relativex,100-room.relativey,100))
	self.gameobjects.append(ArcherPurple(100-room.relativex,100-room.relativey,100))
	self.gameobjects.append(PegasusWhite(100-room.relativex,100-room.relativey,100))
	self.gameobjects.append(PegasusWhite(100-room.relativex,100-room.relativey,100))
 
