
# Copyright (C) Johan Ceuppens 2010
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


import pygame
from pygame.locals import *
from gameobject import *
import random

class Team(Gameobject):
    ""
    def __init__(self,xx,yy):
	Gameobject.__init__(self, xx, yy)
	self.gameobjects = []


    def add(self, e):
	self.gameobjects.append(e)
    
    def remove(self, e1):
	for e in self.gameobjects:
		if e == e1:
			self.gameobjects.remove(e1)

    def removeall(self):
	self.gameobjects = []	

    def draw(self, screen, room):
	for e in self.gameobjects:
		e.draw(screen, room)	    
 
    def update(self,room):
	for e in self.gameobjects:
		e.update(room)	    
		 
    def work(self):
	for e in self.gameobjects:
		e.work()

    def explore(self, room):
	1#FIXME
