/*
 Copyright (C) Johan Ceuppens 2009-2011 
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#include <SDL/SDL.h>
#include <SDL/SDL_image.h>

#include "octtreenode.h"

void make_octtreenode(OcttreeNode *n)
{

	n->nodes = (OcttreeNode *)malloc(sizeof(OcttreeNode) * 16);
	int i, j;

	while (i++ < 4) { 
		while (j++ < 4) { 

			int x1 = n->x + n->w/4 * i;
			int y1 = n->y + n->w/4 * j;
			int w1 = n->w/4;
			n->nodes->x = x1; 
			n->nodes->y = y1;
			n->nodes->w = w1; 
	
			n->nodes++;
		}	
	}
}
