
# Copyright (C) Johan Ceuppens 2010 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


import pygame
from pygame.locals import *
from playergameobject import *

class Building(PlayerGameobject):
    ""
    def __init__(self, xx,yy,hp):
        PlayerGameobject.__init__(self,xx,yy,100)
        self.w = 62 
        self.h = 62 
        self.image = pygame.image.load('./pics/building1-62x62.png').convert()
        self.image.set_colorkey((0,0,0)) 
        self.hoverimage = pygame.image.load('./pics/select-100x100.png').convert()
        self.image.set_colorkey((0,0,0)) 
	self.hitpoints = hp 

    def hit(self):
	self.hitpoints -= 1
	if (self.hitpoints <= 0):
		print "collision on building!"

    def draw(self, screen, room):
	if self.hoverover:
        	screen.blit(self.hoverimage,((self.x+room.getrelativex())%640,(self.y+room.getrelativey())%480))
        	screen.blit(self.image,(self.x+room.getrelativex(),self.y+room.getrelativey()))
	else:
        	screen.blit(self.image,(self.x+room.getrelativex(),self.y+room.getrelativey()))
	     
