
# Copyright (C) Johan Ceuppens 2010-2016
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


import pygame
from pygame.locals import *
from pointsengine import *

class CreditsEngine(PointsEngine):
    "Credtis Engine"
    def __init__(self,startcredits, maxcredits):
	PointsEngine.__init__(self,startcredits, maxcredits)
	self.x = 300
	self.y = 24

        self.image = pygame.image.load('./pics/creditpoint-3x24.png').convert()
        self.image.set_colorkey((0,0,0)) 


    def draw(self, screen):	
	for i in range(0, self.points):
        	screen.blit(self.image,(self.x+i*3,self.y))

