
# Copyright (C) Johan Ceuppens 2010
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


import pygame
from pygame.locals import *
from gameobject import *
from octtreenodebase import *
import random

class OcttreeNode(OcttreeNodeBase):
    "subdivision must be called"
    def __init__(self,xx,yy,width):
	OcttreeNodeBase.__init__(self, xx,yy,width,width)


    def contruct(self):
	self.children.append(OcttreeNode(xx,yy,self.w/4))
	self.children.append(OcttreeNode(xx+self.w/4,yy,self.w/4))
	self.children.append(OcttreeNode(xx+self.w/4*2,yy,self.w/4))
	self.children.append(OcttreeNode(xx+self.w/4*3,yy,self.w/4))
	
	self.children.append(OcttreeNode(xx,yy+self.h/4,self.w/4))
	self.children.append(OcttreeNode(xx+self.w/4,yy+self.h/4,self.w/4))
	self.children.append(OcttreeNode(xx+self.w/4*2,yy+self.h/4,self.w/4))
	self.children.append(OcttreeNode(xx+self.w/4*3,yy+self.h/4,self.w/4))
   
	self.children.append(OcttreeNode(xx,yy+self.h/4*2,self.w/4))
	self.children.append(OcttreeNode(xx+self.w/4,yy+self.h/4*2,self.w/4))
	self.children.append(OcttreeNode(xx+self.w/4*2,yy+self.h/4*2,self.w/4))
	self.children.append(OcttreeNode(xx+self.w/4*3,yy+self.h/4*2,self.w/4))
	
	self.children.append(OcttreeNode(xx,yy+self.h/4*3,self.w/4))
	self.children.append(OcttreeNode(xx+self.w/4,yy+self.h/4*3,self.w/4))
	self.children.append(OcttreeNode(xx+self.w/4*2,yy+self.h/4*3,self.w/4))
	self.children.append(OcttreeNode(xx+self.w/4*3,yy+self.h/4*3,self.w/4))
	 
