
# Copyright (C) Johan Ceuppens 2010-2016
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


import pygame
from pygame.locals import *
import random
from team import *

class PlayerAIEngine:
    ""
    def __init__(self):
	self.teams = [] 
	## current team which has to get AI orders from within a button
	self.team = Team(-1,-1)

    def work(self, o):
	o.work(self)

    def dowork(self, o):
	pass	

    def request(self, string, x,y,option):
	if string == "select team":
		self.selectteam(x,y,option)			
		self.teams.append(self.team)
		return self.team
	elif string == "team explore":
		self.team.explore(option)
		return True
	return None

    def selectteam(self, x,y, room):
	self.team.removeall()
	list = room.select(x[0],y[0],x[1],y[1])
	for e in list:
		self.team.add(e)

	return self.team	
