/*
 Copyright (C) Johan Ceuppens 2009-2011 
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include <SDL/SDL.h>
#include <SDL/SDL_image.h>
#include "player.h"

int make_player(Player *p)
{

	SDL_Rect rect = {100,100,24,24,};

	p->rect = rect;
  
	SDL_Surface *surf1 = IMG_Load("./pics/player1-24x24.png");
        SDL_SetColorKey (surf1, SDL_SRCCOLORKEY, 0xFFFFFF);
        p->surf1 = SDL_DisplayFormat(surf1);
        SDL_FreeSurface(surf1);

	SDL_Surface *surf2 = IMG_Load("./pics/player1-24x24.png");
        SDL_SetColorKey (surf2, SDL_SRCCOLORKEY, 0xFFFFFF);
        p->surf2 = SDL_DisplayFormat(surf2);
        SDL_FreeSurface(surf2);

}
